<p-panel header="Laporan Stock Barang" [toggleable]="false">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div>
                <p-accordion>
                    <p-accordionTab header="Filter" [selected]="false">
                        <div class="row">

                            <div class="ui-g-12">
                                <div class="ui-g-12">
                                    <div>
                                        <label>Tanggal</label>
                                        <p-calendar [showIcon]="true" [(ngModel)]="dtthru">
                                        </p-calendar>
                                    </div>
                                </div>
                                <!-- <div class="ui-g-4"> -->
                                <div class="ui-g-6">
                                    <div class="form-group">
                                        <label for="field_KdBarang">Kode Barang</label>
                                        <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                            (completeMethod)="filterBarangSingle($event)" [size]="32" name="KdBarangs"
                                            [minLength]="1" [filter]="true" filterBy="label" field="kdBahan"
                                            placeholder="Please Select Or Insert" [dropdown]="true"
                                            (onSelect)="selectBarang(true)">
                                        </p-autoComplete>
                                    </div>
                                </div>
                                <div class="ui-g-6">
                                    <div class="form-group">
                                        <label for="field_barang">Nama Barang</label>
                                        <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                            (completeMethod)="filterBarangSingle($event)" [size]="32" name="barangs"
                                            [minLength]="1" field="nmBahan" placeholder="Please Select Or Insert"
                                            [dropdown]="true" (onSelect)="selectBarang(true)"></p-autoComplete>
                                    </div>
                                </div>
                                <div class="ui-g-4">
                                    <label>Jenis Laporan</label>
                                    <div>
                                        <p-dropdown [options]="types" [(ngModel)]="selectedType" id="field_TYPE">
                                        </p-dropdown>
                                    </div>
                                </div>
                                <div class="ui-g-12 form-group">
                                    <button pButton type="submit" label="Filter" icon="fa-filter"
                                        class="ui-button-primary flat-label-button" (click)="filter()">
                                    </button>
                                    <button pButton label="Download" icon="fa-cogs"
                                        class="ui-button-primary flat-label-button" (click)="export()">
                                    </button>
                                    <button pButton label="Reset" icon="fa-refresh"
                                        class="ui-button-primary flat-label-button" (click)="clear()">
                                    </button>
                                </div>
                            </div>
                        </div>
                    </p-accordionTab>
                </p-accordion>
                <p-dataTable [value]="datas" dataKey="nobbm" name="table" #table class="table">
                    <p-header>
                        <div class="row">
                            <div class="col-sm-12">
                                <form name="searchForm" class="form-inline">
                                    <div class="input-group w-100 mt-3">
                                        <input type="text" class="form-control" [(ngModel)]="currentSearch"
                                            id="currentSearch" name="currentSearch"
                                            placeholder="Cari Nama Bahan || Cari Kode Bahan ">
                                        <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                                            <span class="fa fa-search"></span>
                                        </button>
                                        <button class="input-group-addon btn btn-danger" (click)="clear()"
                                            *ngIf="currentSearch">
                                            <span class="fa fa-trash-o"></span>
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </p-header>
                    <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Kode Barang">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.codeproduk}}
                        </ng-template>
                    </p-column>
                    <p-column header="Nama Barang">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.produkname}}
                        </ng-template>
                    </p-column>
                    <p-column header="Stock">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.stok | number:'1.0-2'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Satuan Stock">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.unit}}
                        </ng-template>
                    </p-column>
                    <p-column header="Satuan PP - PO">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.satuan_pp}} - {{rowData.satuan_po}}
                        </ng-template>
                    </p-column>
                    <p-column header="Outstanding PP">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.otspp | number:'1.0-2'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Outstanding PO">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.otspo | number:'1.0-2'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Outstanding Tukar Guling">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.otstg | number:'1.0-2'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Aksi">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <button pButton type="button" icon="fa-eye" class="flat-button"
                                (click)="lihatDetail(rowData)" pTooltip="Lihat detail">
                            </button>
                        </ng-template>
                    </p-column>

                </p-dataTable>
            </div>
        </div>
    </div>
    <div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-dialog header="Detail" [(visible)]="newModalDetail" modal="true" [width]="1000" (onHide)="backapp()">
    <form name="notesForm" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="details" [rows]="itemsPerPage" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="nobbm" expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)">
                <p-header>
                    <div style="margin-top: 10px;"></div>
                    <div class="row">
                        <div class="col-6">
                            <h6 style="text-align: left;">No. PP &nbsp; : &nbsp; {{nopp}}</h6>
                        </div>
                        <div class="col-6">
                            <h6 style="text-align: left;">No. PO &nbsp; : &nbsp; {{nopo}}</h6>
                        </div>
                        <div class="col-6">
                            <h6 style="text-align: left;">QTY PP &nbsp; : &nbsp; {{qtyPP |
                                number:'1.0-2'}}</h6>
                        </div>
                        <div class="col-6">
                            <h6 style="text-align: left;">QTY PO &nbsp; : &nbsp; {{qtyPO |
                                number:'1.0-2'}}</h6>
                        </div>
                        <div class="col-6">
                            <h6 style="text-align: left;">Satuan &nbsp; : &nbsp; {{satuan}}</h6>
                        </div>
                        <div class="col-6">
                            <h6 style="text-align: left;">Supplier &nbsp; : &nbsp; {{nama_supplier}}
                            </h6>
                        </div>
                    </div>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Nomor BBM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nopurchaseorder}}
                    </ng-template>
                </p-column>
                <p-column header="Tanggal BBM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tglbbm | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Nomor Surat Jalan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.unit}}
                    </ng-template>
                </p-column>
                <p-column header="Tanggal SJ">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tglpo | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Qty BBM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qtypp | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Outstanding PO / Sisa PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.otspo | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="Qty PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qtypo | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Outstanding Qty PP">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.otspp | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Outstanding Qty PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.otspo | number:'1.0-2'}}
                    </ng-template>
                </p-column> -->
            </p-dataTable>
        </div>
    </form>
</p-dialog>
<p-confirmDialog></p-confirmDialog>